Skip to main content
POST
/
utils
/
twilio
/
available-numbers
Search available Twilio numbers
curl --request POST \
  --url https://eu-gcp-api.vg-stuff.com/v3/utils/twilio/available-numbers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workspaceId": "<string>",
  "inRegion": "<string>"
}
'
[
  {
    "number": "<string>",
    "friendlyName": "<string>"
  }
]
Returns up to 25 currently-available US local Twilio numbers. Pass inRegion to bias the search to a specific state.
curl -X POST "https://eu-gcp-api.vg-stuff.com/v3/utils/twilio/available-numbers" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "inRegion": "CA" }'
Pair this with /utils/buy-twilio-number to let users browse-and-buy numbers in your own UI.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
workspaceId
string
inRegion
string

Two-letter state code to filter results by (e.g. 'CA', 'NY').

Response

Successful response

number
string
required
friendlyName
string
required